Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 492770 - app-text/ghostscript-gpl-9.10 - compilation warning because of gentoo-specific patches
Summary: app-text/ghostscript-gpl-9.10 - compilation warning because of gentoo-specifi...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
: 578852 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-11-28 08:46 UTC by Ilya Gordeev
Modified: 2017-02-17 20:37 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Gordeev 2013-11-28 08:46:10 UTC
Building ghostscript-gpl-9.10 I'v got this compilation warnings:
./base/wrfont.c:76:9: warning: implicit declaration of function ‘abort’ [-Wimplicit-function-declaration]
./psi/dxmain.c:1163:5: warning: implicit declaration of function ‘gs_sprintf’ [-Wimplicit-function-declaration]

The second warning has been fixed in the main ghostscript-gpl project but the first arises from gentoo-specific patches ghostscript-gpl-9.09-patchset-1.tar.bz2, specifically from ghostscript-gpl-9.07-wrf-snprintf.patch

Related link: http://bugs.ghostscript.com/show_bug.cgi?id=694622

Reproducible: Always
Comment 1 Timo Gurr (RETIRED) gentoo-dev 2013-11-28 13:43:14 UTC
Thanks for taking care of this upstream! The origin of the patch(es) is fedora. We usually apply all their fixups, in this case the relevant piece seems to be introduced by http://pkgs.fedoraproject.org/cgit/ghostscript.git/commit/ghostscript-wrf-snprintf.patch?id=57b8712a835be32518dae4152cb331f3ec3b4127

Relevant fedora bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=979681
https://bugzilla.redhat.com/show_bug.cgi?id=980085

As I lack an arm device to do any tests I'm not sure if the patch is needed at all. We could simply drop it from our patchset or get in touch with the author of the patch to get the warning fixed properly. Best thing though would be if the patch was upstreamed.
Comment 2 gentoo_usr 2016-04-02 17:05:49 UTC
(In reply to Timo Gurr from comment #1)
> Thanks for taking care of this upstream! The origin of the patch(es) is
> fedora. We usually apply all their fixups, in this case the relevant piece
> seems to be introduced by
> http://pkgs.fedoraproject.org/cgit/ghostscript.git/commit/ghostscript-wrf-
> snprintf.patch?id=57b8712a835be32518dae4152cb331f3ec3b4127
> 
> Relevant fedora bugs:
> https://bugzilla.redhat.com/show_bug.cgi?id=979681
> https://bugzilla.redhat.com/show_bug.cgi?id=980085
> 
> As I lack an arm device to do any tests I'm not sure if the patch is needed
> at all. We could simply drop it from our patchset or get in touch with the
> author of the patch to get the warning fixed properly. Best thing though
> would be if the patch was upstreamed.

Any progress on this?
Comment 3 Alex Xu (Hello71) 2016-04-12 17:33:53 UTC
*** Bug 578852 has been marked as a duplicate of this bug. ***